Module | DinheiroUtil
In: | vendor/plugins/brazilian-rails/lib/dinheiro_util.rb

### Methods

contabil para_dinheiro reais reais_contabeis real real_contabil

### Public Instance methods

contabil()

Retorna string formatada com simbolo monetario

Exemplo:

     1.contabil ==> '1,00'
     -1.contabil ==> '(1,00)'

[Source]

        # File vendor/plugins/brazilian-rails/lib/dinheiro_util.rb, line 39
    39:   def contabil
    40:     Dinheiro.new(self).contabil
    41:   end

para_dinheiro()

Transforma numero em dinheiro

Exemplo:

     1.para_dinheiro.class ==> Dinheiro

[Source]

       # File vendor/plugins/brazilian-rails/lib/dinheiro_util.rb, line 6
    6:   def para_dinheiro
    7:     Dinheiro.new(self)
    8:   end

reais()

Alias for para_dinheiro

reais_contabeis()

Retorna string formatada com simbolo monetario

Exemplo:

     2.reais_contabeis ==> 'R$ 2,00'
     -2.reais_contabeis ==> 'R$ 2,00'

[Source]

        # File vendor/plugins/brazilian-rails/lib/dinheiro_util.rb, line 30
    30:   def reais_contabeis
    31:     Dinheiro.new(self).reais_contabeis
    32:   end

real()

Alias for para_dinheiro

real_contabil()

Retorna string formatada com simbolo monetario

Exemplo:

     1.real_contabil ==> 'R$ 1,00'
     -1.real_contabil ==> 'R$ (1,00)'

[Source]

        # File vendor/plugins/brazilian-rails/lib/dinheiro_util.rb, line 21
    21:   def real_contabil
    22:     Dinheiro.new(self).real_contabil
    23:   end

[Validate]